export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('eamspare-parts-group-grid-view', () => import('@pages/asset/eamspare-parts-group-grid-view/eamspare-parts-group-grid-view.vue'));
        Vue.component('eamasset-type-pickup-view', () => import('@pages/asset/eamasset-type-pickup-view/eamasset-type-pickup-view.vue'));
        Vue.component('eamapply-info-main-view', () => import('@pages/apply/eamapply-info-main-view/eamapply-info-main-view.vue'));
        Vue.component('eamproductpickup-view', () => import('@pages/asset/eamproductpickup-view/eamproductpickup-view.vue'));
        Vue.component('eamapply-type-edit-view', () => import('@pages/apply/eamapply-type-edit-view/eamapply-type-edit-view.vue'));
        Vue.component('eamasset-state-model-line-edit-view', () => import('@pages/asset/eamasset-state-model-line-edit-view/eamasset-state-model-line-edit-view.vue'));
        Vue.component('eamasset-tree-exp-view', () => import('@pages/asset/eamasset-tree-exp-view/eamasset-tree-exp-view.vue'));
        Vue.component('eamasset-child-grid-view', () => import('@pages/asset/eamasset-child-grid-view/eamasset-child-grid-view.vue'));
        Vue.component('eamspare-parts-group-dashboard-view', () => import('@pages/asset/eamspare-parts-group-dashboard-view/eamspare-parts-group-dashboard-view.vue'));
        Vue.component('eamlocation-tree-exp-view', () => import('@pages/location/eamlocation-tree-exp-view/eamlocation-tree-exp-view.vue'));
        Vue.component('eamlocation-edit-view', () => import('@pages/location/eamlocation-edit-view/eamlocation-edit-view.vue'));
        Vue.component('eamasset-state-edit-view', () => import('@pages/asset/eamasset-state-edit-view/eamasset-state-edit-view.vue'));
        Vue.component('eamlocation-tree-child-grid-view', () => import('@pages/location/eamlocation-tree-child-grid-view/eamlocation-tree-child-grid-view.vue'));
        Vue.component('eamlocation-state-pickup-grid-view', () => import('@pages/location/eamlocation-state-pickup-grid-view/eamlocation-state-pickup-grid-view.vue'));
        Vue.component('eamservice-level-grid-view', () => import('@pages/work-order/eamservice-level-grid-view/eamservice-level-grid-view.vue'));
        Vue.component('eamasset-grid-view', () => import('@pages/asset/eamasset-grid-view/eamasset-grid-view.vue'));
        Vue.component('eamapply-info-view', () => import('@pages/apply/eamapply-info-view/eamapply-info-view.vue'));
        Vue.component('eamspare-parts-group-edit-view', () => import('@pages/asset/eamspare-parts-group-edit-view/eamspare-parts-group-edit-view.vue'));
        Vue.component('eamlocation-state-model-pickup-grid-view', () => import('@pages/location/eamlocation-state-model-pickup-grid-view/eamlocation-state-model-pickup-grid-view.vue'));
        Vue.component('eamspare-parts-proparts-pro-grid-view', () => import('@pages/asset/eamspare-parts-proparts-pro-grid-view/eamspare-parts-proparts-pro-grid-view.vue'));
        Vue.component('eamapply-type-pickup-view', () => import('@pages/apply/eamapply-type-pickup-view/eamapply-type-pickup-view.vue'));
        Vue.component('eamlocation-pickup-view', () => import('@pages/location/eamlocation-pickup-view/eamlocation-pickup-view.vue'));
        Vue.component('eamlocation-state-pickup-view', () => import('@pages/location/eamlocation-state-pickup-view/eamlocation-state-pickup-view.vue'));
        Vue.component('eamlocation-state-model-pickup-view', () => import('@pages/location/eamlocation-state-model-pickup-view/eamlocation-state-model-pickup-view.vue'));
        Vue.component('eamlocation-info-main-view', () => import('@pages/location/eamlocation-info-main-view/eamlocation-info-main-view.vue'));
        Vue.component('eamspare-parts-group-pickup-view', () => import('@pages/asset/eamspare-parts-group-pickup-view/eamspare-parts-group-pickup-view.vue'));
        Vue.component('eamapply-grid-view', () => import('@pages/apply/eamapply-grid-view/eamapply-grid-view.vue'));
        Vue.component('eamasset-state-pickup-view', () => import('@pages/asset/eamasset-state-pickup-view/eamasset-state-pickup-view.vue'));
        Vue.component('eamlocation-type-pickup-view', () => import('@pages/location/eamlocation-type-pickup-view/eamlocation-type-pickup-view.vue'));
        Vue.component('eamasset-state-grid-view', () => import('@pages/asset/eamasset-state-grid-view/eamasset-state-grid-view.vue'));
        Vue.component('eamasset-info-main-view', () => import('@pages/asset/eamasset-info-main-view/eamasset-info-main-view.vue'));
        Vue.component('eamasset-state-model-grid-view', () => import('@pages/asset/eamasset-state-model-grid-view/eamasset-state-model-grid-view.vue'));
        Vue.component('eamasset-edit-view', () => import('@pages/asset/eamasset-edit-view/eamasset-edit-view.vue'));
        Vue.component('eamasset-type-grid-view', () => import('@pages/asset/eamasset-type-grid-view/eamasset-type-grid-view.vue'));
        Vue.component('eamasset-state-model-pickup-grid-view', () => import('@pages/asset/eamasset-state-model-pickup-grid-view/eamasset-state-model-pickup-grid-view.vue'));
        Vue.component('eamservice-level-edit-view', () => import('@pages/work-order/eamservice-level-edit-view/eamservice-level-edit-view.vue'));
        Vue.component('eamasset-location-asset-grid-view', () => import('@pages/asset/eamasset-location-asset-grid-view/eamasset-location-asset-grid-view.vue'));
        Vue.component('eamasset-parts-group-parts-asset-grid-view', () => import('@pages/asset/eamasset-parts-group-parts-asset-grid-view/eamasset-parts-group-parts-asset-grid-view.vue'));
        Vue.component('eamapply-type-pickup-grid-view', () => import('@pages/apply/eamapply-type-pickup-grid-view/eamapply-type-pickup-grid-view.vue'));
        Vue.component('eamspare-parts-group-info-view', () => import('@pages/asset/eamspare-parts-group-info-view/eamspare-parts-group-info-view.vue'));
        Vue.component('eamlocation-info-view', () => import('@pages/location/eamlocation-info-view/eamlocation-info-view.vue'));
        Vue.component('eamasset-parts-group-edit-view', () => import('@pages/asset/eamasset-parts-group-edit-view/eamasset-parts-group-edit-view.vue'));
        Vue.component('eamlocation-type-pickup-grid-view', () => import('@pages/location/eamlocation-type-pickup-grid-view/eamlocation-type-pickup-grid-view.vue'));
        Vue.component('eamasset-type-edit-view', () => import('@pages/asset/eamasset-type-edit-view/eamasset-type-edit-view.vue'));
        Vue.component('eamasset-summary-view', () => import('@pages/asset/eamasset-summary-view/eamasset-summary-view.vue'));
        Vue.component('eamasset-state-model-line-grid-view', () => import('@pages/asset/eamasset-state-model-line-grid-view/eamasset-state-model-line-grid-view.vue'));
        Vue.component('eamlocation-state-edit-view', () => import('@pages/location/eamlocation-state-edit-view/eamlocation-state-edit-view.vue'));
        Vue.component('eamlocation-type-grid-view', () => import('@pages/location/eamlocation-type-grid-view/eamlocation-type-grid-view.vue'));
        Vue.component('eamasset-info-view', () => import('@pages/asset/eamasset-info-view/eamasset-info-view.vue'));
        Vue.component('eamasset-state-model-edit-view', () => import('@pages/asset/eamasset-state-model-edit-view/eamasset-state-model-edit-view.vue'));
        Vue.component('eamasset-state-pickup-grid-view', () => import('@pages/asset/eamasset-state-pickup-grid-view/eamasset-state-pickup-grid-view.vue'));
        Vue.component('eamwork-order-edit-view', () => import('@pages/work-order/eamwork-order-edit-view/eamwork-order-edit-view.vue'));
        Vue.component('eamlocation-state-model-edit-view', () => import('@pages/location/eamlocation-state-model-edit-view/eamlocation-state-model-edit-view.vue'));
        Vue.component('eamasset-state-model-pickup-view', () => import('@pages/asset/eamasset-state-model-pickup-view/eamasset-state-model-pickup-view.vue'));
        Vue.component('eamapply-quick-create-view', () => import('@pages/apply/eamapply-quick-create-view/eamapply-quick-create-view.vue'));
        Vue.component('eamspare-parts-group-pickup-grid-view', () => import('@pages/asset/eamspare-parts-group-pickup-grid-view/eamspare-parts-group-pickup-grid-view.vue'));
        Vue.component('eamwork-order-apply-wogrid-view', () => import('@pages/work-order/eamwork-order-apply-wogrid-view/eamwork-order-apply-wogrid-view.vue'));
        Vue.component('eamasset-pickup-grid-view', () => import('@pages/asset/eamasset-pickup-grid-view/eamasset-pickup-grid-view.vue'));
        Vue.component('eamlocation-child-grid-view', () => import('@pages/location/eamlocation-child-grid-view/eamlocation-child-grid-view.vue'));
        Vue.component('eamlocation-state-model-line-edit-view', () => import('@pages/location/eamlocation-state-model-line-edit-view/eamlocation-state-model-line-edit-view.vue'));
        Vue.component('eamlocation-state-list-exp-view', () => import('@pages/location/eamlocation-state-list-exp-view/eamlocation-state-list-exp-view.vue'));
        Vue.component('eamproductpickup-grid-view', () => import('@pages/asset/eamproductpickup-grid-view/eamproductpickup-grid-view.vue'));
        Vue.component('eamlocation-state-model-line-grid-view', () => import('@pages/location/eamlocation-state-model-line-grid-view/eamlocation-state-model-line-grid-view.vue'));
        Vue.component('eamlocation-type-edit-view', () => import('@pages/location/eamlocation-type-edit-view/eamlocation-type-edit-view.vue'));
        Vue.component('eamspare-parts-group-info-main-view', () => import('@pages/asset/eamspare-parts-group-info-main-view/eamspare-parts-group-info-main-view.vue'));
        Vue.component('eamlocation-pickup-grid-view', () => import('@pages/location/eamlocation-pickup-grid-view/eamlocation-pickup-grid-view.vue'));
        Vue.component('eamlocation-summary-view', () => import('@pages/location/eamlocation-summary-view/eamlocation-summary-view.vue'));
        Vue.component('eamasset-quick-create-view', () => import('@pages/asset/eamasset-quick-create-view/eamasset-quick-create-view.vue'));
        Vue.component('eamasset-pickup-view', () => import('@pages/asset/eamasset-pickup-view/eamasset-pickup-view.vue'));
        Vue.component('eamapply-type-grid-view', () => import('@pages/apply/eamapply-type-grid-view/eamapply-type-grid-view.vue'));
        Vue.component('eamlocation-grid-view', () => import('@pages/location/eamlocation-grid-view/eamlocation-grid-view.vue'));
        Vue.component('eamasset-type-pickup-grid-view', () => import('@pages/asset/eamasset-type-pickup-grid-view/eamasset-type-pickup-grid-view.vue'));
        Vue.component('eamlocation-state-model-grid-view', () => import('@pages/location/eamlocation-state-model-grid-view/eamlocation-state-model-grid-view.vue'));
        Vue.component('eamapply-summary-view', () => import('@pages/apply/eamapply-summary-view/eamapply-summary-view.vue'));
        Vue.component('eamspare-parts-proedit-view', () => import('@pages/asset/eamspare-parts-proedit-view/eamspare-parts-proedit-view.vue'));
    }
};